Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ParameterSelectionType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ParameterSelectionType

public class ParameterSelectionType extends Object
Used to contain a selection of a single parameter. This selection is only to apply a value change.

Java class for ParameterSelectionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParameterSelectionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseParameter"/>
             <element name="change" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ParameterReferenceType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected javax.xml.bind.JAXBElement<? extends BaseParameterType>`
  `baseParameter`
  `protected ParameterReferenceType`
  `change`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterSelectionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<? extends BaseParameterType>`
  `getBaseParameter()`
  Gets the value of the baseParameter property.
  `ParameterReferenceType`
  `getChange()`
  Gets the value of the change property.
  `void`
  `setBaseParameter(javax.xml.bind.JAXBElement<? extends BaseParameterType> value)`
  Sets the value of the baseParameter property.
  `void`
  `setChange(ParameterReferenceType value)`
  Sets the value of the change property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseParameter

    protected javax.xml.bind.JAXBElement<? extends BaseParameterType> baseParameter

  - ### change

    protected ParameterReferenceType change

- ## Constructor Details

  - ### ParameterSelectionType

    public ParameterSelectionType()

- ## Method Details

  - ### getBaseParameter

    public javax.xml.bind.JAXBElement<? extends BaseParameterType> getBaseParameter()
    Gets the value of the baseParameter property.
    Returns:
      possible object is `JAXBElement``<``AltrepParamType``>` `JAXBElement``<``BaseParameterType``>` `JAXBElement``<``CnParamType``>` `JAXBElement``<``CutypeParamType``>` `JAXBElement``<``DelegatedFromParamType``>` `JAXBElement``<``DelegatedToParamType``>` `JAXBElement``<``DirParamType``>` `JAXBElement``<``DurationParameterType``>` `JAXBElement``<``EncodingParamType``>` `JAXBElement``<``FbtypeParamType``>` `JAXBElement``<``FmttypeParamType``>` `JAXBElement``<``LanguageParamType``>` `JAXBElement``<``MemberParamType``>` `JAXBElement``<``PartstatParamType``>` `JAXBElement``<``PublicCommentParameterType``>` `JAXBElement``<``RangeParamType``>` `JAXBElement``<``RelatedParamType``>` `JAXBElement``<``ReltypeParamType``>` `JAXBElement``<``ResponseParameterType``>` `JAXBElement``<``RoleParamType``>` `JAXBElement``<``RsvpParamType``>` `JAXBElement``<``ScheduleAgentParamType``>` `JAXBElement``<``ScheduleForceSendParamType``>` `JAXBElement``<``ScheduleStatusParamType``>` `JAXBElement``<``SentByParamType``>` `JAXBElement``<``StayInformedParameterType``>` `JAXBElement``<``TextParameterType``>` `JAXBElement``<``TzidParamType``>` `JAXBElement``<``XBedeworkLocKeyParamType``>` `JAXBElement``<``XBedeworkUidParamType``>` `JAXBElement``<``XBedeworkWrappedNameParamType``>`

  - ### setBaseParameter

    public void setBaseParameter(javax.xml.bind.JAXBElement<? extends BaseParameterType> value)
    Sets the value of the baseParameter property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AltrepParamType``>` `JAXBElement``<``BaseParameterType``>` `JAXBElement``<``CnParamType``>` `JAXBElement``<``CutypeParamType``>` `JAXBElement``<``DelegatedFromParamType``>` `JAXBElement``<``DelegatedToParamType``>` `JAXBElement``<``DirParamType``>` `JAXBElement``<``DurationParameterType``>` `JAXBElement``<``EncodingParamType``>` `JAXBElement``<``FbtypeParamType``>` `JAXBElement``<``FmttypeParamType``>` `JAXBElement``<``LanguageParamType``>` `JAXBElement``<``MemberParamType``>` `JAXBElement``<``PartstatParamType``>` `JAXBElement``<``PublicCommentParameterType``>` `JAXBElement``<``RangeParamType``>` `JAXBElement``<``RelatedParamType``>` `JAXBElement``<``ReltypeParamType``>` `JAXBElement``<``ResponseParameterType``>` `JAXBElement``<``RoleParamType``>` `JAXBElement``<``RsvpParamType``>` `JAXBElement``<``ScheduleAgentParamType``>` `JAXBElement``<``ScheduleForceSendParamType``>` `JAXBElement``<``ScheduleStatusParamType``>` `JAXBElement``<``SentByParamType``>` `JAXBElement``<``StayInformedParameterType``>` `JAXBElement``<``TextParameterType``>` `JAXBElement``<``TzidParamType``>` `JAXBElement``<``XBedeworkLocKeyParamType``>` `JAXBElement``<``XBedeworkUidParamType``>` `JAXBElement``<``XBedeworkWrappedNameParamType``>`

  - ### getChange

    public ParameterReferenceType getChange()
    Gets the value of the change property.
    Returns:
      possible object is `ParameterReferenceType`

  - ### setChange

    public void setChange(ParameterReferenceType value)
    Sets the value of the change property.
    Parameters:
      `value` - allowed object is `ParameterReferenceType`